// OptionsTreeDlg.h : header file
//

#if !defined(AFX_OPTIONSTREEDLG_H__01DD0C28_2C3F_11D2_8085_D9D496965B4A__INCLUDED_)
#define AFX_OPTIONSTREEDLG_H__01DD0C28_2C3F_11D2_8085_D9D496965B4A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "OptionsRoot1.h"
#include "OptionsTree1.h"
#include "OptionsRoot2.h"

/////////////////////////////////////////////////////////////////////////////
// COptionsTreeDlg dialog

class COptionsTreeDlg : public CDialog
{
// Construction
public:
	COptionsTreeDlg(CWnd* pParent = NULL);	// standard constructor

  bool m_bDlgCreated;
  COptionsRoot1 m_OptionsRoot1;
  COptionsTree1 m_OptionsTree1;
  COptionsRoot1 m_OptionsRoot2;

// Dialog Data
	//{{AFX_DATA(COptionsTreeDlg)
	enum { IDD = IDD_OPTIONSTREE_DIALOG };
	CTreeCtrl	m_Tree;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionsTreeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(COptionsTreeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangingTree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangedTree(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSTREEDLG_H__01DD0C28_2C3F_11D2_8085_D9D496965B4A__INCLUDED_)
